<?php

use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Component\ButtonDropdown;
use EventPortal\Domain\Component\Column\TextColumn;
use EventPortal\Domain\Table\Facades\Table;
use EventPortal\Domain\Team\Models\Team;
use EventPortal\Enums\InertiaMethod;

Table::make('team.index')
    ->setColumns(static function () {
        return [
            TextColumn::make('Name')->searchable()->default(),
        ];
    })
    ->setRowAction(static function (Team $team) {
        return ButtonDropdown::make('Manage team')
            ->actions([
                Button::make('Edit')
                    ->method(InertiaMethod::VISIT())
                    ->route('admin.team.edit', ['team' => $team]),
            ]);
    });
